Problema LTSP-Bootstrap Error Thin Client con Edubuntu 14.04

Configurazione e uso del software educazionale (Edubuntu).

Problema LTSP-Bootstrap Error Thin Client con Edubuntu 14.04

Messaggioda genji993 » venerdì 24 febbraio 2017, 13:13

Ciao a tutti,
sono attualmente parte di un progetto che si occupa di realizzare laboratori di informatica nelle scuole gratuitamente, donando vecchi pc e facendo lavorare questi con software educazionale Edubuntu. In particolare vi è un server e tanti thin client che effettuano il boot via LTSP.
Tutto funzionava perfettamente fino a qualche mese fa quando abbiamo aggiornato Edubuntu dalla 12.04 alla 14.04. Il risultato è stato che alcuni dei nostri pc, tutti quelli che condividono la stessa architettura, di cui vi linko a fine post il file lshw, non sono più stati in grado di effettuare il boot, andando in una sorta di kernel panic. Ecco i messaggi di errore stampati:

https://i.stack.imgur.com/3X4FG.jpg
https://i.stack.imgur.com/SZxjO.jpg

La cosa strana è che la stessa distro eseguita live esegue il boot normalmente.
Finora abbiamo effettuato diversi tentativi variando le configurazioni LTSP in lts.conf per risolvere il problema ma ancora con scarsi risultati. Per cercare di capirci qualcosa di più abbiamo configurato i client in maniera tale da scrivere in remoto i log sul server tramite il tool syslog, questo è quello che scrive prima di andare in errore:
https://github.com/genji993/DiffKernelLogEdubuntuLTSP

lshw thin client: http://pastebin.com/snQfYWBw

Qualcuno ha qualche consiglio o ha avuto problemi simili?
Vi ringrazio anticipatamente per qualsiasi aiuto :-)
genji993
Prode Principiante
 
Messaggi: 2
Iscrizione: febbraio 2017
Sesso: Maschile

Re: Problema LTSP-Bootstrap Error Thin Client con Edubuntu 1

Messaggioda genji993 » martedì 28 febbraio 2017, 17:56

Mi autorispondo sperando di essere utile a qualcuno in futuro :D Il problema è stato risolto andando ad implementare l'opzione nomodeset in maniera tale da non far caricare al kernel driver video generici(opzione di alcuni nuovi kernel).

In particolare occorre modificare 'quiet splash' con 'quiet splash nomodeset' nel file /opt/ltsp/<arch>/boot/pxelinux.cfg/ltsp e lanciare il comando ltsp-update-kernels.

Saluti!
genji993
Prode Principiante
 
Messaggi: 2
Iscrizione: febbraio 2017
Sesso: Maschile


Torna a Software educazionale

Chi c’è in linea

Visualizzano questa sezione: 0 utenti registrati e 1 ospite